<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.report.SavingDriver" table="REPORT_SANCTION_DISPOSITION_ACCIDENT_BY_DRIVER" 
           catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36"/>
            <generator class="assigned"></generator>
        </id>
        <property name="personName" type="string">
            <column name="person_name" length="103"/>
        </property>
        <property name="economicNumber" type="string">
            <column name="economic_number" length="12"/>
        </property>
        <property name="admissionDate" type="date">
            <column name="admission_date" length="10" />
        </property>
        <property name="sanction" type="string">
            <column name="num_sanction" length="65535"/>
        </property>
        <property name="disposition" type="string">
            <column name="num_disposition" length="65535"/>
        </property>
        <property name="accident" type="string">
            <column name="num_accident" length="65535"/>
        </property>
        <property name="totalSanction" type="double">
            <column name="total_sanction"/>
        </property>
        <property name="totalDisposition" type="double">
            <column name="total_disposition"/>
        </property>
        <property name="totalAccident" type="double">
            <column name="total_accident"/>
        </property>
        <property name="totalAdd" type="double">
            <column name="total_add"/>
        </property>
        <property name="totalSaving" type="double">
            <column name="total_ahorro"/>
        </property>
        <property name="totalSiniestro" type="double">
            <column name="total_siniestro"/>
        </property>
        <property name="totalAdeudo" type="double">
            <column name="total_adeudo"/>
        </property>
    </class>
</hibernate-mapping>